#!/usr/bin/env kjscmd

var db = new SqlDatabase();
var mw = new TDEMainWindow();
var box = new TQVBox( mw );
mw.setCentralWidget(box);

if ( db.addDatabase("TQMYSQL3", "test" ))
{
	db.databaseName = "XXXX";
	db.userName = "XXXX";
	db.password = "XXXX";
	db.hostName = "XXXX";
	db.port = 3306;
	println("Database Name:" + db.databaseName);
	println("User Name:" + db.userName);
	println("Password:" + db.password);
	println("Host Name:" + db.hostName);
	println("Port:" + db.port);
	println("Driver Name:" + db.driverName);
	var list = new TDEListView(box);
	list.addColumn('One');
	list.addColumn('Two');
	list.addColumn('Three');
	if( db.open() )
	{
		var query = db.exec("select * from tasks" );
		println(query.size + " Results returned");
		if (query.active)
		{
			println(query.size + " Results returned");
			if( query.first() )
			{
				while( query.next())
				{
					println(query.value(0).toString() + " " +
							query.value(1).toString() + " " +
							query.value(2).toString());

					list.insertItem(query.value(0).toString(),
							query.value(1).toString(),
							query.value(2).toString());
				}
			}
			else
				println("Query Error: " + query.lastError);
		}
		else
			println("Database Connection Error: " + db.lastError);

	}
	else
		println("Database Open Error: " + db.lastError);
}
else
	println("Database Connection Error: " + db.lastError);
mw.show();
